Skip to main content
GET
Get ERC20 balance history

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://voyager.online/plans

Path Parameters

contractAddress
string
required

Starknet contract address (0x-prefixed hex).

Pattern: ^(0x[0-9a-fA-F]{1,66})$

Query Parameters

timerange
enum<string>
default:1m

Time window: "1w", "1m", "3m", "6m", or "1y". Defaults to "1m".

Available options:
1y,
1m,
3m,
6m,
1w
token_address
string

Token contract address (0x-prefixed hex).

Pattern: ^(0x[0-9a-fA-F]{1,66})$

Response

object[] | null

Balance history data points

address
string
required
name
string
required
symbol
string
required
decimals
number | null
required
balanceHistory
object[]
required
balance
string | null
isVerified
boolean | null
lastTransferTime
number | null